<template>
   <div class="result">
    <section class="wrapper flexContainer">
      <div class="form_b">
        <section class="doneBlock">
          <div class="doneImg"></div><span>绑定成功！</span>
          <p>开始使用更多会员专属服务</p>
        </section>
        <section class="ten_b btn_b">
          <div class="btn"  @click="submit">完成</div>
        </section>
      </div>
        <div v-show="textshow" class="text">系统处理中，请稍后！</div>
    </section>
   </div>
</template>
<script>
export default {
    data(){
        return{
            data:{
                textshow:false

            },
        }
    },
    methods:{
        submit(){
            console.log('进入首页');
            this.getInfo();

        },
        getInfo(){
            this.textshow = true;
            this.$forceUpdate();
            let data = {
                openId: context.OpenId
            }
            this.config.server(
                "/Shop/Member/Info",
                "POST",
                data,
                (data)=> {
                    console.log('success',data);
                    if(data.records[0].isThirdError){
                        console.log('用户被锁定');
                        this.textshow = false;
                        this.$forceUpdate();
                        return;
                    }else {
                        if (data.records[0].isContact) {
                            this.textshow = false;
                            this.$router.replace('/home');
                            sessionStorage.setItem('page','home');
                            this.$forceUpdate();
                        }else{
                            setTimeout(this.getInfo(),3000);
                            // this.$router.replace('/phoneNum');
                            sessionStorage.setItem('path','phoneNum');
                        }
                    }

                },
                (error)=> {
                    console.log('error',error);
                },
            )
        },
    },
    beforeCreate(){
        console.log('path',sessionStorage.getItem('path'));
        if(sessionStorage.getItem('path') === 'home'){
            WeixinJSBridge.call('closeWindow');
        }
        this.textshow = false;
    }

}
</script>
<style scoped>
.result{
    height: 100%;
}
    .text{
        position: absolute;
        top: 55%;
        z-index: 9999;
        color: #fff;
    }
</style>
